API Documentation

Get manual time entry by ID

Description

Returns a single manual time entry

Permissions

To get time entries the API token needs the Read tasks permission

Request format

curl https://kanbanflow.com/api/v1/manual-time-entries/<MANUAL_TIME_ENTRY_ID>

Example request

curl https://kanbanflow.com/api/v1/manual-time-entries/EyS84FdLk

Example response

{
    "_id": "EyS84FdLk",
    "createdTimestamp": "2023-01-02T12:50:00Z",
    "startTimestamp": "2023-01-02T08:30:00Z",
    "endTimestamp": "2023-01-02T12:00:00Z",
    "userId": "UHJ9JgtA",
    "taskId": "T3s6UGyzY"
}

Response properties

PropertyTypeComment
_idStringThe ID of the manual time entry.
createdTimestampStringThe UTC timestamp when the manual time entry was created, for example 2023-12-31T20:00:00Z.
startTimestampStringThe UTC timestamp when the manual time entry started, for example 2023-12-31T09:00:00Z.
endTimestampStringThe UTC timestamp when the manual time entry ended, for example 2023-12-31T17:00:00Z.
userIdStringThe ID of the user that added the manual time entry.
taskIdStringThe ID of the task that the manual time entry was created on.
commentStringA comment to the time entry. Only included when set.
labelNamesArrayLabels for the time entry. Only included when there are any items. Example: ["Billable", "Project X"].

Get manual time entries for board

Description

Returns all manual time entries for the board belonging to the token filtered by a time period.

When filtering on a from-to timespan all entries whose start-end timespan intersects the filter timespan will be included.

Request format

curl https://kanbanflow.com/api/v1/manual-time-entries?from=<TIMESTAMP>&to=<TIMESTAMP>&limit=<INTEGER>&userId=<USER_ID>

Example request

curl https://kanbanflow.com/api/v1/manual-time-entries?from=2023-01-01T00:00:00Z&to=2023-01-03T00:00:00Z&limit=100

Example response

[
    {
        "_id": "EyS84FdLk",
        "createdTimestamp": "2023-01-02T12:50:00Z",
        "startTimestamp": "2023-01-02T08:30:00Z",
        "endTimestamp": "2023-01-02T12:00:00Z",
        "userId": "UHJ9JgtA",
        "taskId": "T3s6UGyzY"
    },
    {
        "_id": "Eks4VwyRB",
        "createdTimestamp": "2023-01-02T17:10:00Z",
        "startTimestamp": "2023-01-02T13:00:00Z",
        "endTimestamp": "2023-01-02T17:00:00Z",
        "userId": "UHJ9JgtA",
        "taskId": "T3s6UGyzY"
    },
    {
        "_id": "E3VJU6yeb",
        "createdTimestamp": "2023-01-03T12:50:00Z",
        "startTimestamp": "2023-01-03T08:30:00Z",
        "endTimestamp": "2023-01-03T12:00:00Z",
        "userId": "UHJ9JgtA",
        "taskId": "T3s6UGyzY"
    }
]

Valid parameters

ParameterTypeComment
fromStringEither from or to is required. If you want to give a timestamp for 1 January 2023 05:30 (UTC), you can either use 2023-01-01T05:30Z or 1672551000000 (time since epoch).
toStringEither from or to is required. If you want to give a timestamp for 1 January 2023 05:30 (UTC), you can either use 2023-01-01T05:30Z or 1672551000000 (time since epoch).
userIdStringOptional. Filter entries by user ID.
limitIntegerOptional. The highest value that can be used is 1000. Default: 100.